<!DOCTYPE html>
<html>

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>GCC Code Coverage Report</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="index.css">
  </head>

  <body>
    <h1>GCC Code Coverage Report</h1>

    <hr/>

    <div class="summary">
<div>
  <table class="legend">
    <tr>
      <th scope="row">Directory:</th>
      <td>./</td>
    </tr>
    <tr>
      <th scope="row">File:</th>
      <td>Model/PODModel.hpp</td>
    </tr>
    <tr>
      <th scope="row">Date:</th>
      <td>2024-11-17 08:29:21</td>
    </tr>
  </table>
</div>
<div>
  <table class="coverage">
    <tr>
      <th></th>
      <th scope="col">Exec</th>
      <th scope="col">Total</th>
      <th scope="col">Coverage</th>
    </tr>
    <tr>
      <th scope="row">Lines:</th>
      <td>0</td>
      <td>2</td>
      <td class="coverage-none">0.0%</td>
    </tr>
    <tr>
      <th scope="row">Branches:</th>
      <td>0</td>
      <td>0</td>
      <td class="coverage-unknown">-%</td>
    </tr>
  </table>
</div>
    </div>

    <hr/>

<div class="file-source">
  <table>
    <tr>
      <th align="right">Line</th>
      <th align="right">Branch</th>
      <th align="right">Exec</th>
      <th align="left">Source</th>
    </tr>


    <tr class="source-line">
      <td class="lineno"><a id="l1" href="#l1">1</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//   ______ ______ _      _  _____      ______</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l2" href="#l2">2</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  ____|  ____| |    (_)/ ____|    |  ____|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l3" href="#l3">3</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |__  | |__  | |     _| (___   ___| |__</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l4" href="#l4">4</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  __| |  __| | |    | |\___ \ / __|  __|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l5" href="#l5">5</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |    | |____| |____| |____) | (__| |____</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l6" href="#l6">6</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |_|    |______|______|_|_____/ \___|______|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l7" href="#l7">7</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Finite Elements for Life Sciences and Engineering</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l8" href="#l8">8</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l9" href="#l9">9</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  License:		 LGL2.1 License</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l10" href="#l10">10</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  FELiScE default license: LICENSE in root folder</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l11" href="#l11">11</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l12" href="#l12">12</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Main authors:    E. Schenone D.Lombardi</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l13" href="#l13">13</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l14" href="#l14">14</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l15" href="#l15">15</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#ifndef _PODMODEL_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l16" href="#l16">16</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#define _PODMODEL_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l17" href="#l17">17</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l18" href="#l18">18</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// System includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l19" href="#l19">19</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l20" href="#l20">20</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// External includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l21" href="#l21">21</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&lt;petscvec.h&gt;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l22" href="#l22">22</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l23" href="#l23">23</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// Project includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l24" href="#l24">24</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Model/model.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l25" href="#l25">25</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Solver/eigenProblem.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l26" href="#l26">26</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Solver/eigenProblemPOD.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l27" href="#l27">27</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Solver/cardiacFunction.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l28" href="#l28">28</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l29" href="#l29">29</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="k">namespace</span><span class="w"> </span><span class="nn">felisce</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l30" href="#l30">30</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="cm">/*!</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l31" href="#l31">31</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   \file PODModel.hpp</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l32" href="#l32">32</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   \authors E. Schenone D.Lombardi</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l33" href="#l33">33</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   \date 10/12/2012</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l34" href="#l34">34</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   \brief POD model class manages Proper Orthogonal Decomposition.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l35" href="#l35">35</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   */</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l36" href="#l36">36</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">PODModel</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l37" href="#l37">37</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">Model</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l38" href="#l38">38</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">			</span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l39" href="#l39">39</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="c1">///  Construtor.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l40" href="#l40">40</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="n">PODModel</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l41" href="#l41">41</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="c1">///  Destructor.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l42" href="#l42">42</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="o">~</span><span class="n">PODModel</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l43" href="#l43">43</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="c1">///  Initializations</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l44" href="#l44">44</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">initializeDerivedModel</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="w"> </span><span class="p">{}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l45" href="#l45">45</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">initializeEigenProblem</span><span class="p">(</span><span class="n">std</span><span class="o">::</span><span class="n">vector</span><span class="o">&lt;</span><span class="n">EigenProblemPOD</span><span class="o">*&gt;</span><span class="w"> </span><span class="n">eigenPb</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l46" href="#l46">46</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">preAssembleMatrix</span><span class="p">(</span><span class="k">const</span><span class="w"> </span><span class="kt">int</span><span class="w"> </span><span class="n">iProblem</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l47" href="#l47">47</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">				</span><span class="k">virtual</span><span class="w"> </span><span class="kt">void</span><span class="w"> </span><span class="nf">postAssembleMatrix</span><span class="p">(</span><span class="k">const</span><span class="w"> </span><span class="kt">int</span><span class="w"> </span><span class="n">iProblem</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l48" href="#l48">48</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				  </span><span class="n">IGNORE_UNUSED_ARGUMENT</span><span class="p">(</span><span class="n">iProblem</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l49" href="#l49">49</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l50" href="#l50">50</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">updateTime</span><span class="p">(</span><span class="k">const</span><span class="w"> </span><span class="n">FlagMatrixRHS</span><span class="w"> </span><span class="n">flagMatrixRHS</span><span class="o">=</span><span class="n">FlagMatrixRHS</span><span class="o">::</span><span class="n">matrix_and_rhs</span><span class="p">)</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l51" href="#l51">51</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">writeSolution</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l52" href="#l52">52</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">solveEigenProblem</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l53" href="#l53">53</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="c1">///  Manage time iteration.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l54" href="#l54">54</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">void</span><span class="w"> </span><span class="nf">forward</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l55" href="#l55">55</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="c1">///  Acces functions.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l56" href="#l56">56</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="n">EigenProblemPOD</span><span class="o">*</span><span class="w"> </span><span class="nf">eigenProblem</span><span class="p">()</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l57" href="#l57">57</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				  </span><span class="k">return</span><span class="w"> </span><span class="n">m_eigenProblem</span><span class="p">[</span><span class="mi">0</span><span class="p">];</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l58" href="#l58">58</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l59" href="#l59">59</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="n">EigenProblemPOD</span><span class="o">*</span><span class="w"> </span><span class="nf">eigenProblem</span><span class="p">(</span><span class="kt">int</span><span class="w"> </span><span class="n">iProblem</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l60" href="#l60">60</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				  </span><span class="k">return</span><span class="w"> </span><span class="n">m_eigenProblem</span><span class="p">[</span><span class="n">iProblem</span><span class="p">];</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l61" href="#l61">61</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l62" href="#l62">62</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">			</span><span class="k">protected</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l63" href="#l63">63</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="n">std</span><span class="o">::</span><span class="n">vector</span><span class="o">&lt;</span><span class="n">EigenProblemPOD</span><span class="o">*&gt;</span><span class="w"> </span><span class="n">m_eigenProblem</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l64" href="#l64">64</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">			</span><span class="k">private</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l65" href="#l65">65</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">				</span><span class="kt">int</span><span class="w"> </span><span class="n">m_method</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l66" href="#l66">66</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">			</span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l67" href="#l67">67</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l68" href="#l68">68</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l69" href="#l69">69</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#endif</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l70" href="#l70">70</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

  </table>
</div>

    <hr/>

    <footer>
      Generated by: <a href="http://gcovr.com">GCOVR (Version 5.0)</a>
    </footer>
  </body>
</html>
